com.smartgwt.client.util.workflow

## Class AddScreenTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.AddScreenTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class AddScreenTask
      extends ComponentTask

  Adds a new screen instance to a Layout, as a new Tab in a TabSet or as a new Section in a SectionStack. When the target is a TabSet or SectionStack, a static `title` or dynamic `titleFormula` can be assigned for the new Tab or Section.

  The new screen's `dataContext` can be configured with `dataContextBinding` evaluated in the scope of this task.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddScreenTask()`
    `AddScreenTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getCanClose()` Can the created SectionStackSection or TabSet be closed by the user?
    `DataContextBinding` | `getDataContextBinding()` A `DataContextBinding` to be applied to the created screen via `Canvas.setDataContext()`.
    `static AddScreenTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getScreenName()` Name of screen to be added.
    `java.lang.String` | `getTitle()` Title of new SectionStackSection or TabSet when `componentId` targets a SectionStack or TabSet.
    `UserSummary` | `getTitleFormula()` Formula to be used to calculate the title contents.
    `AddScreenTask` | `setCanClose(java.lang.Boolean canClose)` Can the created SectionStackSection or TabSet be closed by the user?
    `AddScreenTask` | `setDataContextBinding(DataContextBinding dataContextBinding)` A `DataContextBinding` to be applied to the created screen via `Canvas.setDataContext()`.
    `AddScreenTask` | `setScreenName(java.lang.String screenName)` Name of screen to be added.
    `AddScreenTask` | `setTitle(java.lang.String title)` Title of new SectionStackSection or TabSet when `componentId` targets a SectionStack or TabSet.
    `AddScreenTask` | `setTitleFormula(UserSummary titleFormula)` Formula to be used to calculate the title contents.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddScreenTask

          public AddScreenTask()

    - #### AddScreenTask

          public AddScreenTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static AddScreenTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setCanClose

          public AddScreenTask setCanClose(java.lang.Boolean canClose)
                                    throws java.lang.IllegalStateException

      Can the created SectionStackSection or TabSet be closed by the user?
      Parameters:
        `canClose` - New canClose value. Default value is null
      Returns:
        `AddScreenTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getCanClose

          public java.lang.Boolean getCanClose()

      Can the created SectionStackSection or TabSet be closed by the user?
      Returns:
        Current canClose value. Default value is null

    - #### setDataContextBinding

          public AddScreenTask setDataContextBinding(DataContextBinding dataContextBinding)
                                              throws java.lang.IllegalStateException

      A `DataContextBinding` to be applied to the created screen via `Canvas.setDataContext()`.
      Parameters:
        `dataContextBinding` - New dataContextBinding value. Default value is null
      Returns:
        `AddScreenTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDataContextBinding

          public DataContextBinding getDataContextBinding()

      A `DataContextBinding` to be applied to the created screen via `Canvas.setDataContext()`.
      Returns:
        Current dataContextBinding value. Default value is null

    - #### setScreenName

          public AddScreenTask setScreenName(java.lang.String screenName)
                                      throws java.lang.IllegalStateException

      Name of screen to be added.
      Parameters:
        `screenName` - New screenName value. Default value is null
      Returns:
        `AddScreenTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getScreenName

          public java.lang.String getScreenName()

      Name of screen to be added.
      Returns:
        Current screenName value. Default value is null

    - #### setTitle

          public AddScreenTask setTitle(java.lang.String title)
                                 throws java.lang.IllegalStateException

      Title of new SectionStackSection or TabSet when `componentId` targets a SectionStack or TabSet. To use a dynamic title see `titleFormula`.
      Parameters:
        `title` - New title value. Default value is null
      Returns:
        `AddScreenTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTitle

          public java.lang.String getTitle()

      Title of new SectionStackSection or TabSet when `componentId` targets a SectionStack or TabSet. To use a dynamic title see `titleFormula`.
      Returns:
        Current title value. Default value is null

    - #### setTitleFormula

          public AddScreenTask setTitleFormula(UserSummary titleFormula)
                                        throws java.lang.IllegalStateException

      Formula to be used to calculate the title contents. Use `title` property to assign a static title instead.

      Available fields for use in the formula are the current `rule context`.

      Parameters:
        `titleFormula` - New titleFormula value. Default value is null
      Returns:
        `AddScreenTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTitleFormula

          public UserSummary getTitleFormula()

      Formula to be used to calculate the title contents. Use `title` property to assign a static title instead.

      Available fields for use in the formula are the current `rule context`.

      Returns:
        Current titleFormula value. Default value is null